#include <WindowMgr.h>		
#include <MenuMgr.h>
#include <EventMgr.h>
#include "Skel defines.h"
#include "Skel globals.h"
#include <DialogMgr.h>

/* 
Print a string in dialog box
############################   Report   #################################

We put up a dialog box, show the string, and wait for user to hit OK.
*/

report (reportstr)
char   **reportstr;

#define rptboxid 257		/* ID of our report dialog in resource
				 				  file */
#define rpttext 2			/* Item # of dialog's report text */
{
    long     itemhit;		/* which Item was clicked on (only OK
				 				  avail) */
    DialogPtr reportptr;



    ParamText (*reportstr, "", "", "");/* set text to display */
    reportptr = GetNewDialog (rptboxid, 0L, (long) - 1);
				/* get from Resource file; NIL => use heap
				   storage; -1 => make dlg frontmost */

    ModalDialog (0L, &itemhit);
				/* carry out dialog; NIL => no FilterProc;
				   return Item Hit when done */
    DisposDialog (reportptr);	/* release storage and remove dialog from
				   screen */
}				/* Report */
