#include <WindowMgr.h>		
#include <MenuMgr.h>
#include <EventMgr.h>
#include "Skel defines.h"
#include "Skel globals.h"

/*#include <MemoryMgr.h>		
#include <ToolboxUtil.h>
#include <EventMgr.h>
#include <TextEdit.h>
#include <Stdio.h>
#include <OSUtil.h>
#include <ToolboxUtil.h>
#include <DialogMgr.h>*/

/* 
Redraw my window
############################   DrawWindow   #############################

   We draw all the contents of our one window, myWindow.  Note that this
   must include scroll bar areas and the grow icon; the Window Manager
   will NOT Handle those for us. Since there are no scroll bars, we
   must erase the Region they would be in.  Echh.
*/

drawwindow () {
    Rect arect;			/* rectangle to erase */

    FillRect (&mywindow -> portRect, &dkGray);
				/*  first, fill the window with dark gray;
				   this fills scroll bars, too */

/*  second, erase the scroll bars and draw the grow icon */

/*  erase the horizontal scroll bar */
    SetRect (&arect,		/* cover the horizontal bar */
	    mywindow -> portRect.left,
	    mywindow -> portRect.bottom - 15,
	    mywindow -> portRect.right - 15,
	    mywindow -> portRect.bottom);
    FillRect (&arect, &white);	/* fill with white */

/*  erase the vertical scroll bar */
    SetRect (&arect,		/* cover the vertical bar */
	    mywindow -> portRect.right - 15,
	    mywindow -> portRect.top,
	    mywindow -> portRect.right,
	    mywindow -> portRect.bottom - 15);
    FillRect (&arect, &white);	/* fill with white */

    DrawGrowIcon (mywindow);	/* draw the size box in the corner of the
				   window */

}				/* DrawWindow */

